=== debian/changelog ===
pcl (1.8.0+dfsg1-4+deb9u1) stretch; urgency=medium

  * Add dependency to libvtk6-qt-dev (Closes: #894656)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 05 May 2018 14:52:44 +0200

pcl (1.8.0+dfsg1-3) unstable; urgency=medium

  * Disable QT on arm (Closes: #835292)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Sep 2016 09:30:23 +0200

pcl (1.8.0+dfsg1-2) unstable; urgency=medium

  * Remove superfluous libpcl1.8 package
  * Add patch for empty 2d lib

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 22 Aug 2016 07:46:30 +0200

pcl (1.8.0+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 1.8.0+dfsg1
  * Rebase patches
  * Add patch for removed non free code
  * Reworked debian/ files
  * Add patch for privacy-breach-logo

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 16 Aug 2016 19:25:49 +0200
